// generated from rosidl_generator_cpp/resource/idl__traits.hpp.em
// with input from nao_lola_command_msgs:msg/LeftEyeLeds.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "nao_lola_command_msgs/msg/left_eye_leds.hpp"


#ifndef NAO_LOLA_COMMAND_MSGS__MSG__DETAIL__LEFT_EYE_LEDS__TRAITS_HPP_
#define NAO_LOLA_COMMAND_MSGS__MSG__DETAIL__LEFT_EYE_LEDS__TRAITS_HPP_

#include <stdint.h>

#include <sstream>
#include <string>
#include <type_traits>

#include "nao_lola_command_msgs/msg/detail/left_eye_leds__struct.hpp"
#include "rosidl_runtime_cpp/traits.hpp"

// Include directives for member types
// Member 'colors'
#include "std_msgs/msg/detail/color_rgba__traits.hpp"

namespace nao_lola_command_msgs
{

namespace msg
{

inline void to_flow_style_yaml(
  const LeftEyeLeds & msg,
  std::ostream & out)
{
  out << "{";
  // member: colors
  {
    if (msg.colors.size() == 0) {
      out << "colors: []";
    } else {
      out << "colors: [";
      size_t pending_items = msg.colors.size();
      for (auto item : msg.colors) {
        to_flow_style_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const LeftEyeLeds & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: colors
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.colors.size() == 0) {
      out << "colors: []\n";
    } else {
      out << "colors:\n";
      for (auto item : msg.colors) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "-\n";
        to_block_style_yaml(item, out, indentation + 2);
      }
    }
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const LeftEyeLeds & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace msg

}  // namespace nao_lola_command_msgs

namespace rosidl_generator_traits
{

[[deprecated("use nao_lola_command_msgs::msg::to_block_style_yaml() instead")]]
inline void to_yaml(
  const nao_lola_command_msgs::msg::LeftEyeLeds & msg,
  std::ostream & out, size_t indentation = 0)
{
  nao_lola_command_msgs::msg::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use nao_lola_command_msgs::msg::to_yaml() instead")]]
inline std::string to_yaml(const nao_lola_command_msgs::msg::LeftEyeLeds & msg)
{
  return nao_lola_command_msgs::msg::to_yaml(msg);
}

template<>
inline const char * data_type<nao_lola_command_msgs::msg::LeftEyeLeds>()
{
  return "nao_lola_command_msgs::msg::LeftEyeLeds";
}

template<>
inline const char * name<nao_lola_command_msgs::msg::LeftEyeLeds>()
{
  return "nao_lola_command_msgs/msg/LeftEyeLeds";
}

template<>
struct has_fixed_size<nao_lola_command_msgs::msg::LeftEyeLeds>
  : std::integral_constant<bool, has_fixed_size<std_msgs::msg::ColorRGBA>::value> {};

template<>
struct has_bounded_size<nao_lola_command_msgs::msg::LeftEyeLeds>
  : std::integral_constant<bool, has_bounded_size<std_msgs::msg::ColorRGBA>::value> {};

template<>
struct is_message<nao_lola_command_msgs::msg::LeftEyeLeds>
  : std::true_type {};

}  // namespace rosidl_generator_traits

#endif  // NAO_LOLA_COMMAND_MSGS__MSG__DETAIL__LEFT_EYE_LEDS__TRAITS_HPP_
