// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from nao_lola_command_msgs:msg/RightEyeLeds.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "nao_lola_command_msgs/msg/right_eye_leds.h"


#ifndef NAO_LOLA_COMMAND_MSGS__MSG__DETAIL__RIGHT_EYE_LEDS__STRUCT_H_
#define NAO_LOLA_COMMAND_MSGS__MSG__DETAIL__RIGHT_EYE_LEDS__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

/// Constant 'R0'.
/**
  * LED locations and their ids are shown below
  *                          _                         #
  *      /                  (_)                 \      #
  *     /                                        \     #
  *    /         R0                               \    #
  *   |     R7  ____  R1              ____         |   #
  *   |        /    \                /    \        |   #
  *   |   R6  |  **  |  R2          |  **  |       |   #
  *   |        \____/                \____/        |   #
  *   |     R5        R3                           |   #
  *    \         R4                               /    #
  *     \                                        /     #
  *      \                  ___                 /      #
  *       \__               \_/             __/        #
  *          \__                         ___/          #
  *             \_______________________/              #
  * For more details, refer to http://doc.aldebaran.com/2-1/family/robots/leds_robot.html#nao-v5-v4-and-v3-3
 */
enum
{
  nao_lola_command_msgs__msg__RightEyeLeds__R0 = 0l
};

/// Constant 'R1'.
enum
{
  nao_lola_command_msgs__msg__RightEyeLeds__R1 = 1l
};

/// Constant 'R2'.
enum
{
  nao_lola_command_msgs__msg__RightEyeLeds__R2 = 2l
};

/// Constant 'R3'.
enum
{
  nao_lola_command_msgs__msg__RightEyeLeds__R3 = 3l
};

/// Constant 'R4'.
enum
{
  nao_lola_command_msgs__msg__RightEyeLeds__R4 = 4l
};

/// Constant 'R5'.
enum
{
  nao_lola_command_msgs__msg__RightEyeLeds__R5 = 5l
};

/// Constant 'R6'.
enum
{
  nao_lola_command_msgs__msg__RightEyeLeds__R6 = 6l
};

/// Constant 'R7'.
enum
{
  nao_lola_command_msgs__msg__RightEyeLeds__R7 = 7l
};

/// Constant 'NUM_LEDS'.
enum
{
  nao_lola_command_msgs__msg__RightEyeLeds__NUM_LEDS = 8l
};

// Include directives for member types
// Member 'colors'
#include "std_msgs/msg/detail/color_rgba__struct.h"

/// Struct defined in msg/RightEyeLeds in the package nao_lola_command_msgs.
/**
  * Message identifying colors for each RGB LED in the NAO's right eye.
  * Expect ranges for R, G and B are 0.0 - 1.0.
  * The alpha value (A) is ignored.
 */
typedef struct nao_lola_command_msgs__msg__RightEyeLeds
{
  std_msgs__msg__ColorRGBA colors[8];
} nao_lola_command_msgs__msg__RightEyeLeds;

// Struct for a sequence of nao_lola_command_msgs__msg__RightEyeLeds.
typedef struct nao_lola_command_msgs__msg__RightEyeLeds__Sequence
{
  nao_lola_command_msgs__msg__RightEyeLeds * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} nao_lola_command_msgs__msg__RightEyeLeds__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NAO_LOLA_COMMAND_MSGS__MSG__DETAIL__RIGHT_EYE_LEDS__STRUCT_H_
