// generated from rosidl_generator_c/resource/idl__functions.c.em
// with input from nao_lola_command_msgs:msg/JointPositions.idl
// generated code does not contain a copyright notice
#include "nao_lola_command_msgs/msg/detail/joint_positions__functions.h"

#include <assert.h>
#include <stdbool.h>
#include <stdlib.h>
#include <string.h>

#include "rcutils/allocator.h"


// Include directives for member types
// Member `indexes`
// Member `positions`
#include "rosidl_runtime_c/primitives_sequence_functions.h"

bool
nao_lola_command_msgs__msg__JointPositions__init(nao_lola_command_msgs__msg__JointPositions * msg)
{
  if (!msg) {
    return false;
  }
  // indexes
  if (!rosidl_runtime_c__uint8__Sequence__init(&msg->indexes, 0)) {
    nao_lola_command_msgs__msg__JointPositions__fini(msg);
    return false;
  }
  // positions
  if (!rosidl_runtime_c__float__Sequence__init(&msg->positions, 0)) {
    nao_lola_command_msgs__msg__JointPositions__fini(msg);
    return false;
  }
  return true;
}

void
nao_lola_command_msgs__msg__JointPositions__fini(nao_lola_command_msgs__msg__JointPositions * msg)
{
  if (!msg) {
    return;
  }
  // indexes
  rosidl_runtime_c__uint8__Sequence__fini(&msg->indexes);
  // positions
  rosidl_runtime_c__float__Sequence__fini(&msg->positions);
}

bool
nao_lola_command_msgs__msg__JointPositions__are_equal(const nao_lola_command_msgs__msg__JointPositions * lhs, const nao_lola_command_msgs__msg__JointPositions * rhs)
{
  if (!lhs || !rhs) {
    return false;
  }
  // indexes
  if (!rosidl_runtime_c__uint8__Sequence__are_equal(
      &(lhs->indexes), &(rhs->indexes)))
  {
    return false;
  }
  // positions
  if (!rosidl_runtime_c__float__Sequence__are_equal(
      &(lhs->positions), &(rhs->positions)))
  {
    return false;
  }
  return true;
}

bool
nao_lola_command_msgs__msg__JointPositions__copy(
  const nao_lola_command_msgs__msg__JointPositions * input,
  nao_lola_command_msgs__msg__JointPositions * output)
{
  if (!input || !output) {
    return false;
  }
  // indexes
  if (!rosidl_runtime_c__uint8__Sequence__copy(
      &(input->indexes), &(output->indexes)))
  {
    return false;
  }
  // positions
  if (!rosidl_runtime_c__float__Sequence__copy(
      &(input->positions), &(output->positions)))
  {
    return false;
  }
  return true;
}

nao_lola_command_msgs__msg__JointPositions *
nao_lola_command_msgs__msg__JointPositions__create(void)
{
  rcutils_allocator_t allocator = rcutils_get_default_allocator();
  nao_lola_command_msgs__msg__JointPositions * msg = (nao_lola_command_msgs__msg__JointPositions *)allocator.allocate(sizeof(nao_lola_command_msgs__msg__JointPositions), allocator.state);
  if (!msg) {
    return NULL;
  }
  memset(msg, 0, sizeof(nao_lola_command_msgs__msg__JointPositions));
  bool success = nao_lola_command_msgs__msg__JointPositions__init(msg);
  if (!success) {
    allocator.deallocate(msg, allocator.state);
    return NULL;
  }
  return msg;
}

void
nao_lola_command_msgs__msg__JointPositions__destroy(nao_lola_command_msgs__msg__JointPositions * msg)
{
  rcutils_allocator_t allocator = rcutils_get_default_allocator();
  if (msg) {
    nao_lola_command_msgs__msg__JointPositions__fini(msg);
  }
  allocator.deallocate(msg, allocator.state);
}


bool
nao_lola_command_msgs__msg__JointPositions__Sequence__init(nao_lola_command_msgs__msg__JointPositions__Sequence * array, size_t size)
{
  if (!array) {
    return false;
  }
  rcutils_allocator_t allocator = rcutils_get_default_allocator();
  nao_lola_command_msgs__msg__JointPositions * data = NULL;

  if (size) {
    data = (nao_lola_command_msgs__msg__JointPositions *)allocator.zero_allocate(size, sizeof(nao_lola_command_msgs__msg__JointPositions), allocator.state);
    if (!data) {
      return false;
    }
    // initialize all array elements
    size_t i;
    for (i = 0; i < size; ++i) {
      bool success = nao_lola_command_msgs__msg__JointPositions__init(&data[i]);
      if (!success) {
        break;
      }
    }
    if (i < size) {
      // if initialization failed finalize the already initialized array elements
      for (; i > 0; --i) {
        nao_lola_command_msgs__msg__JointPositions__fini(&data[i - 1]);
      }
      allocator.deallocate(data, allocator.state);
      return false;
    }
  }
  array->data = data;
  array->size = size;
  array->capacity = size;
  return true;
}

void
nao_lola_command_msgs__msg__JointPositions__Sequence__fini(nao_lola_command_msgs__msg__JointPositions__Sequence * array)
{
  if (!array) {
    return;
  }
  rcutils_allocator_t allocator = rcutils_get_default_allocator();

  if (array->data) {
    // ensure that data and capacity values are consistent
    assert(array->capacity > 0);
    // finalize all array elements
    for (size_t i = 0; i < array->capacity; ++i) {
      nao_lola_command_msgs__msg__JointPositions__fini(&array->data[i]);
    }
    allocator.deallocate(array->data, allocator.state);
    array->data = NULL;
    array->size = 0;
    array->capacity = 0;
  } else {
    // ensure that data, size, and capacity values are consistent
    assert(0 == array->size);
    assert(0 == array->capacity);
  }
}

nao_lola_command_msgs__msg__JointPositions__Sequence *
nao_lola_command_msgs__msg__JointPositions__Sequence__create(size_t size)
{
  rcutils_allocator_t allocator = rcutils_get_default_allocator();
  nao_lola_command_msgs__msg__JointPositions__Sequence * array = (nao_lola_command_msgs__msg__JointPositions__Sequence *)allocator.allocate(sizeof(nao_lola_command_msgs__msg__JointPositions__Sequence), allocator.state);
  if (!array) {
    return NULL;
  }
  bool success = nao_lola_command_msgs__msg__JointPositions__Sequence__init(array, size);
  if (!success) {
    allocator.deallocate(array, allocator.state);
    return NULL;
  }
  return array;
}

void
nao_lola_command_msgs__msg__JointPositions__Sequence__destroy(nao_lola_command_msgs__msg__JointPositions__Sequence * array)
{
  rcutils_allocator_t allocator = rcutils_get_default_allocator();
  if (array) {
    nao_lola_command_msgs__msg__JointPositions__Sequence__fini(array);
  }
  allocator.deallocate(array, allocator.state);
}

bool
nao_lola_command_msgs__msg__JointPositions__Sequence__are_equal(const nao_lola_command_msgs__msg__JointPositions__Sequence * lhs, const nao_lola_command_msgs__msg__JointPositions__Sequence * rhs)
{
  if (!lhs || !rhs) {
    return false;
  }
  if (lhs->size != rhs->size) {
    return false;
  }
  for (size_t i = 0; i < lhs->size; ++i) {
    if (!nao_lola_command_msgs__msg__JointPositions__are_equal(&(lhs->data[i]), &(rhs->data[i]))) {
      return false;
    }
  }
  return true;
}

bool
nao_lola_command_msgs__msg__JointPositions__Sequence__copy(
  const nao_lola_command_msgs__msg__JointPositions__Sequence * input,
  nao_lola_command_msgs__msg__JointPositions__Sequence * output)
{
  if (!input || !output) {
    return false;
  }
  if (output->capacity < input->size) {
    const size_t allocation_size =
      input->size * sizeof(nao_lola_command_msgs__msg__JointPositions);
    rcutils_allocator_t allocator = rcutils_get_default_allocator();
    nao_lola_command_msgs__msg__JointPositions * data =
      (nao_lola_command_msgs__msg__JointPositions *)allocator.reallocate(
      output->data, allocation_size, allocator.state);
    if (!data) {
      return false;
    }
    // If reallocation succeeded, memory may or may not have been moved
    // to fulfill the allocation request, invalidating output->data.
    output->data = data;
    for (size_t i = output->capacity; i < input->size; ++i) {
      if (!nao_lola_command_msgs__msg__JointPositions__init(&output->data[i])) {
        // If initialization of any new item fails, roll back
        // all previously initialized items. Existing items
        // in output are to be left unmodified.
        for (; i-- > output->capacity; ) {
          nao_lola_command_msgs__msg__JointPositions__fini(&output->data[i]);
        }
        return false;
      }
    }
    output->capacity = input->size;
  }
  output->size = input->size;
  for (size_t i = 0; i < input->size; ++i) {
    if (!nao_lola_command_msgs__msg__JointPositions__copy(
        &(input->data[i]), &(output->data[i])))
    {
      return false;
    }
  }
  return true;
}
