// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from nao_lola_command_msgs:msg/LeftEyeLeds.idl
// generated code does not contain a copyright notice

#include "nao_lola_command_msgs/msg/detail/left_eye_leds__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_nao_lola_command_msgs
const rosidl_type_hash_t *
nao_lola_command_msgs__msg__LeftEyeLeds__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0x64, 0xe6, 0x93, 0x48, 0xce, 0xce, 0x37, 0xaa,
      0x5c, 0x98, 0xf5, 0x88, 0xbe, 0xa8, 0x7f, 0x29,
      0x74, 0x33, 0x57, 0xcb, 0x22, 0xcf, 0x98, 0xe8,
      0x23, 0x13, 0xf2, 0xa7, 0x20, 0x6d, 0x5e, 0x23,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types
#include "std_msgs/msg/detail/color_rgba__functions.h"

// Hashes for external referenced types
#ifndef NDEBUG
static const rosidl_type_hash_t std_msgs__msg__ColorRGBA__EXPECTED_HASH = {1, {
    0x77, 0xa7, 0xa5, 0xb9, 0xae, 0x47, 0x73, 0x06,
    0x09, 0x76, 0x65, 0x10, 0x6e, 0x04, 0x13, 0xba,
    0x74, 0x44, 0x02, 0x45, 0xb1, 0xf3, 0xd0, 0xc6,
    0xd6, 0x40, 0x5f, 0xe5, 0xc7, 0x81, 0x3f, 0xe8,
  }};
#endif

static char nao_lola_command_msgs__msg__LeftEyeLeds__TYPE_NAME[] = "nao_lola_command_msgs/msg/LeftEyeLeds";
static char std_msgs__msg__ColorRGBA__TYPE_NAME[] = "std_msgs/msg/ColorRGBA";

// Define type names, field names, and default values
static char nao_lola_command_msgs__msg__LeftEyeLeds__FIELD_NAME__colors[] = "colors";

static rosidl_runtime_c__type_description__Field nao_lola_command_msgs__msg__LeftEyeLeds__FIELDS[] = {
  {
    {nao_lola_command_msgs__msg__LeftEyeLeds__FIELD_NAME__colors, 6, 6},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_NESTED_TYPE_ARRAY,
      8,
      0,
      {std_msgs__msg__ColorRGBA__TYPE_NAME, 22, 22},
    },
    {NULL, 0, 0},
  },
};

static rosidl_runtime_c__type_description__IndividualTypeDescription nao_lola_command_msgs__msg__LeftEyeLeds__REFERENCED_TYPE_DESCRIPTIONS[] = {
  {
    {std_msgs__msg__ColorRGBA__TYPE_NAME, 22, 22},
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
nao_lola_command_msgs__msg__LeftEyeLeds__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {nao_lola_command_msgs__msg__LeftEyeLeds__TYPE_NAME, 37, 37},
      {nao_lola_command_msgs__msg__LeftEyeLeds__FIELDS, 1, 1},
    },
    {nao_lola_command_msgs__msg__LeftEyeLeds__REFERENCED_TYPE_DESCRIPTIONS, 1, 1},
  };
  if (!constructed) {
    assert(0 == memcmp(&std_msgs__msg__ColorRGBA__EXPECTED_HASH, std_msgs__msg__ColorRGBA__get_type_hash(NULL), sizeof(rosidl_type_hash_t)));
    description.referenced_type_descriptions.data[0].fields = std_msgs__msg__ColorRGBA__get_type_description(NULL)->type_description.fields;
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# Message identifying colors for each RGB LED in the NAO's eyes.\n"
  "# Expect ranges for R, G and B are 0.0 - 1.0.\n"
  "# The alpha value (A) is ignored.\n"
  "\n"
  "# LED locations and their ids are shown below\n"
  "#                          _                         #\n"
  "#      /                  (_)                 \\\\      #\n"
  "#     /                                        \\\\     #\n"
  "#    /                               L0         \\\\    #\n"
  "#   |         ____              L1  ____  L7     |   #\n"
  "#   |        /    \\\\                /    \\\\        |   #\n"
  "#   |       |  **  |          L2  |  **  |  L6   |   #\n"
  "#   |        \\\\____/                \\\\____/        |   #\n"
  "#   |                           L3        L5     |   #\n"
  "#    \\\\                               L4         /    #\n"
  "#     \\\\                                        /     #\n"
  "#      \\\\                  ___                 /      #\n"
  "#       \\\\__               \\\\_/             __/        #\n"
  "#          \\\\__                         ___/          #\n"
  "#             \\\\_______________________/              #\n"
  "\n"
  "# For more details, refer to http://doc.aldebaran.com/2-1/family/robots/leds_robot.html#nao-v5-v4-and-v3-3\n"
  "\n"
  "int32 L0=0\n"
  "int32 L1=1\n"
  "int32 L2=2\n"
  "int32 L3=3\n"
  "int32 L4=4\n"
  "int32 L5=5\n"
  "int32 L6=6\n"
  "int32 L7=7\n"
  "int32 NUM_LEDS=8\n"
  "\n"
  "std_msgs/ColorRGBA[8] colors";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
nao_lola_command_msgs__msg__LeftEyeLeds__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {nao_lola_command_msgs__msg__LeftEyeLeds__TYPE_NAME, 37, 37},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 1260, 1260},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
nao_lola_command_msgs__msg__LeftEyeLeds__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[2];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 2, 2};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *nao_lola_command_msgs__msg__LeftEyeLeds__get_individual_type_description_source(NULL),
    sources[1] = *std_msgs__msg__ColorRGBA__get_individual_type_description_source(NULL);
    constructed = true;
  }
  return &source_sequence;
}
