// generated from rosidl_generator_cpp/resource/idl__struct.hpp.em
// with input from nao_lola_command_msgs:msg/RightEarLeds.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "nao_lola_command_msgs/msg/right_ear_leds.hpp"


#ifndef NAO_LOLA_COMMAND_MSGS__MSG__DETAIL__RIGHT_EAR_LEDS__STRUCT_HPP_
#define NAO_LOLA_COMMAND_MSGS__MSG__DETAIL__RIGHT_EAR_LEDS__STRUCT_HPP_

#include <algorithm>
#include <array>
#include <memory>
#include <string>
#include <vector>

#include "rosidl_runtime_cpp/bounded_vector.hpp"
#include "rosidl_runtime_cpp/message_initialization.hpp"


#ifndef _WIN32
# define DEPRECATED__nao_lola_command_msgs__msg__RightEarLeds __attribute__((deprecated))
#else
# define DEPRECATED__nao_lola_command_msgs__msg__RightEarLeds __declspec(deprecated)
#endif

namespace nao_lola_command_msgs
{

namespace msg
{

// message struct
template<class ContainerAllocator>
struct RightEarLeds_
{
  using Type = RightEarLeds_<ContainerAllocator>;

  explicit RightEarLeds_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      std::fill<typename std::array<float, 10>::iterator, float>(this->intensities.begin(), this->intensities.end(), 0.0f);
    }
  }

  explicit RightEarLeds_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : intensities(_alloc)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      std::fill<typename std::array<float, 10>::iterator, float>(this->intensities.begin(), this->intensities.end(), 0.0f);
    }
  }

  // field types and members
  using _intensities_type =
    std::array<float, 10>;
  _intensities_type intensities;

  // setters for named parameter idiom
  Type & set__intensities(
    const std::array<float, 10> & _arg)
  {
    this->intensities = _arg;
    return *this;
  }

  // constant declarations
  static constexpr int32_t R0 =
    0;
  static constexpr int32_t R1 =
    1;
  static constexpr int32_t R2 =
    2;
  static constexpr int32_t R3 =
    3;
  static constexpr int32_t R4 =
    4;
  static constexpr int32_t R5 =
    5;
  static constexpr int32_t R6 =
    6;
  static constexpr int32_t R7 =
    7;
  static constexpr int32_t R8 =
    8;
  static constexpr int32_t R9 =
    9;
  static constexpr int32_t NUM_LEDS =
    10;

  // pointer types
  using RawPtr =
    nao_lola_command_msgs::msg::RightEarLeds_<ContainerAllocator> *;
  using ConstRawPtr =
    const nao_lola_command_msgs::msg::RightEarLeds_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<nao_lola_command_msgs::msg::RightEarLeds_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<nao_lola_command_msgs::msg::RightEarLeds_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      nao_lola_command_msgs::msg::RightEarLeds_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<nao_lola_command_msgs::msg::RightEarLeds_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      nao_lola_command_msgs::msg::RightEarLeds_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<nao_lola_command_msgs::msg::RightEarLeds_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<nao_lola_command_msgs::msg::RightEarLeds_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<nao_lola_command_msgs::msg::RightEarLeds_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__nao_lola_command_msgs__msg__RightEarLeds
    std::shared_ptr<nao_lola_command_msgs::msg::RightEarLeds_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__nao_lola_command_msgs__msg__RightEarLeds
    std::shared_ptr<nao_lola_command_msgs::msg::RightEarLeds_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const RightEarLeds_ & other) const
  {
    if (this->intensities != other.intensities) {
      return false;
    }
    return true;
  }
  bool operator!=(const RightEarLeds_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct RightEarLeds_

// alias to use template instance with default allocator
using RightEarLeds =
  nao_lola_command_msgs::msg::RightEarLeds_<std::allocator<void>>;

// constant definitions
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t RightEarLeds_<ContainerAllocator>::R0;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t RightEarLeds_<ContainerAllocator>::R1;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t RightEarLeds_<ContainerAllocator>::R2;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t RightEarLeds_<ContainerAllocator>::R3;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t RightEarLeds_<ContainerAllocator>::R4;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t RightEarLeds_<ContainerAllocator>::R5;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t RightEarLeds_<ContainerAllocator>::R6;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t RightEarLeds_<ContainerAllocator>::R7;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t RightEarLeds_<ContainerAllocator>::R8;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t RightEarLeds_<ContainerAllocator>::R9;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t RightEarLeds_<ContainerAllocator>::NUM_LEDS;
#endif  // __cplusplus < 201703L

}  // namespace msg

}  // namespace nao_lola_command_msgs

#endif  // NAO_LOLA_COMMAND_MSGS__MSG__DETAIL__RIGHT_EAR_LEDS__STRUCT_HPP_
